Magnetoculus Visualisation de champs en VR avec Oculus

Protected Member Functions | List of all members
SurfaceGenerator Class Reference
Inheritance diagram for SurfaceGenerator:

## Protected Member Functions
override void | CreateRepresentationInformation ()
override IEnumerator | AsynchronousGeneration ()
Protected Member Functions inherited from FieldGenerator
virtual void | Awake ()
Protected Member Functions inherited from Generator
void | FileError (string message)
void | TriggerGenerationProgressEvent (float generationProgress, string generationText)
void | TriggerGenerationStartEvent ()
void | TriggerGenerationEndEvent ()
void | TriggerGenerationErrorEvent (string message)

## Additional Inherited Members
Public Member Functions inherited from Generator
delegate void | GenerationEventWithArgs (float generationProgress, string generationText)
delegate void | GenerationEvent ()
delegate void | ErrorEvent (string message)
void | StartGeneration ()
Protected Attributes inherited from FieldGenerator
int | m_MaxVerticesPerChunk = 30000
Field | m_Field
FieldInfoManager | m_FieldInfoManager
Protected Attributes inherited from Generator
GameObject | m_ChunkPrefab
RepresentationNavigation | m_RepresentationManagerPanel
FileInfoManager | m_FileInfoManager
string | m_FileName
GameObject | m_Representation
Mesh | m_Mesh
Events inherited from Generator
static GenerationEvent | GenerationStartEvent
static GenerationEventWithArgs | GenerationProgressEvent
static GenerationEvent | GenerationEndEvent
static ErrorEvent | GenerationErrorEvent

## Detailed Description

Script to generate a surface field. The data file is the same as the ones use by voxel generator or iso-surface generator, except that all z coordinates will be null. The generation is the same as the voxel ones, with squares instead of cubes.

## Member Function Documentation

## ◆ AsynchronousGeneration()

override IEnumerator SurfaceGenerator.AsynchronousGeneration | ( |  | ) |
| protected virtual

The generation is a coroutine so we can check its state and display it on a progress bar.

Implements Generator.

## ◆ CreateRepresentationInformation()

override void SurfaceGenerator.CreateRepresentationInformation | ( |  | ) |
| protected virtual

Implements Generator.

The documentation for this class was generated from the following file:

- Assets/Scripts/Representation/SurfaceGenerator.cs